QGIS Application - Bug report #19214
Crash on opening attribute tables
2018-06-18 10:46 AM - Dan Isaacs

Status: Closed
Priority: Normal
Assignee:

Category: Attribute table

Affected QGIS version:3.0.3
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 27043

Description

Just upgraded (again) to QGIS 3, hoping some of the crashes | experienced when first upgrading might have been ironed out by now, but
| seem to have encountered one almost immediately. I've opened a project | created in 2.18 in 3.0.3, the project's been saved as a 3

project already it's presumably been updated.

Basically, every time | try to open the attribute table it either hangs or crashes; it only happens with certain attribute tables, others are fine.

Things | can think of that connect the two it happens with are;
They're both quite big as in lots of fields, not lots of features)

They both have a lot of expressions (though other tables which work do have some expressions, these have loads)

Below is the crash report.

User Feedback

Report Details

Crash ID: 8f257c4eaabd2eed7b6c990241¢c9d91c1ff26395
Stack Trace

QgsField::QgsField :
QgsAttributeForm::createWidgetFromDef :
QgsAttributeForm::init :

QMetaObject::tr :

GDALRegister_MFF :
GDALRegister_ MFF :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899¢8758
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: i386

Kernel Type: winnt
Kernel Version: 6.1.7601

History

#1 - 2018-06-18 11:18 AM - Dan Isaacs
Update from further playing around. The two layers whose tables would not open had different problems.
In one layer | removed the table join and then re-set it - the attribute table now opens properly.
In another layer | deleted one normal expression and two virtual fields all of which made use of aggregate functions. Now that layer's attribute table opens
normally too.
#2 - 2018-06-18 04:33 PM - Alessandro Pasotti
It would be still interesting if you could provide the crashing project with associated data (or an extract of them), I'd like to have a look to it in order to check
if we have any underlying regression that could be fixed before 3.2 (we don't have much time left though).
#3 - 2018-06-18 07:00 PM - Dan Isaacs
Alessandro Pasotti wrote:
It would be still interesting if you could provide the crashing project with associated data (or an extract of them), I'd like to have a look to it in order to

check if we have any underlying regression that could be fixed before 3.2 (we don't have much time left though).

Sorry, I've saved changes after finding the workarounds | mentioned, so | don't have the old layers/project. I'm working to a deadline, so had to get the thing

moving in whatever way | could I'm afraid.

#4 - 2018-06-19 09:13 AM - Alessandro Pasotti
- Resolution set to not reproducable
- Status changed from Open to Closed
